Skip to main content
GET
/
api
/
public
/
movements
List movements
curl --request GET \
  --url https://api.wodup.dev/api/public/movements \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.wodup.dev/api/public/movements"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.wodup.dev/api/public/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "complex_details": null,
    "description": null,
    "has_calories": false,
    "has_distance": false,
    "has_duration": false,
    "has_height": false,
    "has_load": true,
    "has_power": false,
    "has_reps": true,
    "id": "mv_fT0m3viH",
    "name": "Back Squat",
    "source": "wodup",
    "video": {
      "id": "dQw4w9WgXcQ",
      "service": "youtube"
    }
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

wodup-gym
string

Only used by platform integrations
ID of gym to execute on behalf of

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Required range: 1 <= x <= 100
after_cursor
string

A cursor for use in pagination. after_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after_cursor=obj_foo in order to fetch the next page of the list.

before_cursor
string

A cursor for use in pagination. before_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before_cursor=obj_bar in order to fetch the previous page of the list.

Response

200 - application/json

Movement list

complex_details
object[]

Movements in this complex

description
string

Movement instructions / description

has_calories
boolean

Does this movement involve calories. E.g. Row

has_distance
boolean

Does this movement involve distance. E.g. Row

has_duration
boolean

Does this movement involve duration. E.g. Row or Weighted Plank Hold

has_height
boolean

Does this movement involve height. E.g. Box Jumps

has_load
boolean

Does this movement involve load. E.g. Back Squat or Weighted Plank Hold

has_power
boolean

Does this movement involve power. E.g. Row

has_reps
boolean

Does this movement involve reps. E.g. Push-Up or Back Squat

id
string

Movement ID

name
string

Movement name

source
enum<string>

Whether this movement is from the global WodUp library or a custom movement

Available options:
wodup,
custom
video
object
Example:
[
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": { "id": "dQw4w9WgXcQ", "service": "youtube" }
}
]